## [AKShare](https://github.com/akfamily/akshare) 外汇数据

### 人民币牌价数据

接口: currency_boc_sina

目标地址: http://biz.finance.sina.com.cn/forex/forex.php?startdate=2012-01-01&enddate=2021-06-14&money_code=EUR&type=0

描述: 新浪财经-中行人民币牌价历史数据

限量: 单次返回指定日期的所有历史数据

输入参数

| 名称     | 类型  | 描述                                                                                                                                                   |
|--------|-----|------------------------------------------------------------------------------------------------------------------------------------------------------|
| symbol | str | symbol="美元"; choice of {'美元', '英镑', '欧元', '澳门元', '泰国铢', '菲律宾比索', '港币', '瑞士法郎', '新加坡元', '瑞典克朗', '丹麦克朗', '挪威克朗', '日元', '加拿大元', '澳大利亚元', '新西兰元', '韩国元'} |
| date   | str | date="20220620"                                                                                                                                      |

输出参数

| 名称        | 类型      | 描述      |
|-----------|---------|---------|
| 日期        | object  | -       |
| 中行汇买价     | float64 | 注意单位: 元 |
| 中行钞买价     | float64 | 注意单位: 元 |
| 中行钞卖价/汇卖价 | float64 | 注意单位: 元 |
| 央行中间价     | float64 | 注意单位: 元 |

接口示例

```python
import akshare as ak

currency_boc_sina_df = ak.currency_boc_sina(symbol="美元", date="20220620")
print(currency_boc_sina_df)
```

数据示例

```
        日期   中行汇买价   中行钞买价  中行钞卖价/汇卖价   央行中间价
0     2012-01-02  627.42  622.39     629.93  630.09
1     2012-01-03  627.42  622.39     629.93  630.09
2     2012-01-04  628.02  622.98     630.53  630.01
3     2012-01-05  628.79  623.75     631.31  631.15
4     2012-01-06  629.21  624.17     631.74  631.66
          ...     ...     ...        ...     ...
2924  2022-06-14  672.78  667.31     675.63  674.82
2925  2022-06-15  670.24  664.79     673.08  675.18
2926  2022-06-16  669.19  663.75     672.03  670.99
2927  2022-06-17  670.39  664.93     673.23  669.23
2928  2022-06-20  669.54  664.09     672.38  671.20
```

### 人民币汇率中间价

接口: currency_boc_safe

目标地址: http://www.safe.gov.cn/safe/rmbhlzjj/index.html

描述: 外汇管理局-人民币汇率中间价

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称   | 类型      | 描述  |
|------|---------|-----|
| 日期   | object  | -   |
| 美元   | float64 | -   |
| 欧元   | float64 | -   |
| 日元   | float64 | -   |
| 港元   | float64 | -   |
| 英镑   | float64 | -   |
| 林吉特  | float64 | -   |
| 卢布   | float64 | -   |
| 澳元   | float64 | -   |
| 加元   | float64 | -   |
| 新西兰元 | float64 | -   |
| 新加坡元 | float64 | -   |
| 瑞士法郎 | float64 | -   |
| 兰特   | float64 | -   |
| 韩元   | float64 | -   |
| 迪拉姆  | float64 | -   |
| 里亚尔  | float64 | -   |
| 福林   | float64 | -   |
| 兹罗提  | float64 | -   |
| 丹麦克朗 | float64 | -   |
| 瑞典克朗 | float64 | -   |
| 挪威克朗 | float64 | -   |
| 里拉   | float64 | -   |
| 比索   | float64 | -   |
| 泰铢   | float64 | -   |

P.S. 人民币对马来西亚林吉特、俄罗斯卢布、南非兰特、韩元、阿联酋迪拉姆、沙特里亚尔、匈牙利福林、波兰兹罗提、丹麦克朗、瑞典克朗、挪威克朗、土耳其里拉、墨西哥比索、泰铢汇率中间价采取间接标价法，即100人民币折合多少外币。人民币对其它10种货币汇率中间价仍采取直接标价法，即100外币折合多少人民币。

接口示例

```python
import akshare as ak

currency_boc_safe_df = ak.currency_boc_safe()
print(currency_boc_safe_df)
```

数据示例

```
          日期      美元      欧元      日元  ...    挪威克朗  里拉      比索      泰铢
0     1994-01-01  870.00     NaN  7.7800  ...     NaN      NaN     NaN     NaN
1     1994-01-03  870.00     NaN  7.7800  ...     NaN      NaN     NaN     NaN
2     1994-01-04  870.00     NaN  7.7196  ...     NaN      NaN     NaN     NaN
3     1994-01-05  870.00     NaN  7.7196  ...     NaN      NaN     NaN     NaN
4     1994-01-06  870.00     NaN  7.7196  ...     NaN      NaN     NaN     NaN
          ...     ...     ...     ...  ...     ...      ...     ...     ...
7012  2022-06-14  674.82  702.69  5.0267  ...  146.78  255.974  303.41  517.07
7013  2022-06-15  675.18  704.30  4.9933  ...  148.17  255.783  304.62  518.89
7014  2022-06-16  670.99  701.42  5.0021  ...  148.11  256.967  301.93  518.98
7015  2022-06-17  669.23  705.82  5.0471  ...  148.81  258.479  305.16  523.14
7016  2022-06-20  671.20  704.03  4.9601  ...  148.96  258.339  302.59  525.24
```

### 人民币外汇即期报价

接口: fx_spot_quote

目标地址: http://www.chinamoney.com.cn/chinese/mkdatapfx/

描述: 人民币外汇即期报价

限量: 单次返回实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

人民币外汇即期报价

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 货币对 | object  |     |
| 买报价 | float64 |     |
| 卖报价 | float64 |     |

**注：本行情为询价报价行情(美元为ODM), 实时更新**

接口示例
```python
import akshare as ak

fx_spot_quote_df = ak.fx_spot_quote()
print(fx_spot_quote_df)
```

数据示例

```
      货币对        买报价        卖报价
0      USD/CNY    6.68500    6.68540
1      EUR/CNY    7.08170    7.08260
2   100JPY/CNY    4.92400    4.92480
3      HKD/CNY    0.85184    0.85196
4      GBP/CNY    8.20610    8.20690
5      AUD/CNY    4.65300    4.65310
6      NZD/CNY    4.21240    4.21320
7      SGD/CNY    4.82670    4.82680
8      CHF/CNY    7.00390    7.00450
9      CAD/CNY    5.21290    5.21360
10     CNY/MYR    0.65590    0.65750
11     CNY/RUB    7.93950    7.98320
12     CNY/ZAR    2.37330    2.37360
13     CNY/KRW  192.14000  192.20000
14     CNY/AED    0.54935    0.54948
15     CNY/SAR    0.56142    0.56147
16     CNY/HUF   56.53140   56.57020
17     CNY/PLN    0.66319    0.66344
18     CNY/DKK    1.05070    1.05070
19     CNY/SEK    1.50220    1.50240
20     CNY/NOK    1.45980    1.46000
21     CNY/TRY    2.48949    2.48980
22     CNY/MXN    2.97690    2.97870
23     CNY/THB    5.24800    5.25000
```

### 人民币外汇远掉报价

接口: fx_swap_quote

目标地址: http://www.chinamoney.com.cn/chinese/mkdatapfx/

描述: 人民币外汇远掉报价

限量: 单次返回实时行情数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

人民币外汇远掉报价

| 名称  | 类型     | 描述                  |
|-----|--------|---------------------|
| 货币对 | object | e.g., "USD/CNY"     |
| 1周  | object | e.g., "11.50/12.00" |
| 1月  | object |                     |
| 3月  | object |                     |
| 6月  | object |                     |
| 9月  | object |                     |
| 1年  | object |                     |

**注：本行情为询价报价行情(美元为ODM), 实时更新**

接口示例

```python
import akshare as ak

fx_swap_quote_df = ak.fx_swap_quote()
print(fx_swap_quote_df)
```

数据示例

```
           货币对        1周  ...                 9月                 1年
0      USD/CNY      5.00/5.00  ...    -235.00/-233.00    -347.00/-345.00
1      EUR/CNY    39.17/39.28  ...    1241.70/1242.30    1513.74/1514.19
2   100JPY/CNY    25.93/26.33  ...    1156.41/1158.04    1604.66/1604.74
3      HKD/CNY      2.35/2.55  ...          6.88/7.10        -4.88/-4.41
4      GBP/CNY    15.36/16.28  ...      221.38/222.74      188.33/191.70
5      AUD/CNY      9.47/9.87  ...    -128.45/-127.09    -254.98/-248.56
6      NZD/CNY      1.36/1.76  ...    -311.14/-299.26    -435.15/-420.15
7      SGD/CNY      3.31/3.39  ...        44.03/44.60        72.00/84.97
8      CHF/CNY    35.23/36.21  ...    1346.89/1347.41    1702.55/1706.77
9      CAD/CNY      7.86/7.96  ...    -124.21/-122.50    -193.11/-190.60
10     CNY/MYR     -1.43/0.35  ...       -22.75/-9.30       -21.12/-5.39
11     CNY/RUB  627.40/627.80  ...  30785.79/32165.82  35730.95/36968.82
12     CNY/ZAR    12.36/12.37  ...      719.25/726.67     992.29/1007.07
13     CNY/KRW    -4.63/-0.56  ...     -106.97/-93.21    -125.42/-117.52
14     CNY/AED    -0.60/-0.50  ...        18.31/18.63        27.90/28.35
15     CNY/SAR        ---/---  ...        22.03/22.54        32.68/33.00
16     CNY/HUF  370.56/423.79  ...  26568.04/26596.38  36664.72/36718.42
17     CNY/PLN      5.37/5.39  ...      264.19/264.92      359.67/361.01
18     CNY/DKK    -5.70/-5.49  ...    -186.20/-186.08    -229.34/-226.54
19     CNY/SEK    -5.91/-5.90  ...    -132.23/-131.85    -137.94/-137.43
20     CNY/NOK    -2.67/-2.64  ...      -43.57/-42.56      -35.65/-33.93
21     CNY/TRY    53.89/61.57  ...    8321.13/8339.39  11516.20/11550.77
22     CNY/MXN    -2.84/-2.80  ...      105.61/105.73    2350.95/2393.33
23     CNY/THB  -68.44/-43.00  ...    -514.60/-436.28    -675.05/-534.00
```

### 外币对即期报价

接口: fx_pair_quote

目标地址: http://www.chinamoney.com.cn/chinese/mkdatapfx/

描述: 外币对即期报价

限量: 单次返回当前时点最近更新的即时数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述              |
|-----|---------|-----------------|
| 货币对 | object  | e.g., "AUD/USD" |
| 买报价 | float64 | e.g., "0.68460" |
| 卖报价 | float64 | e.g., "0.68461" |

**注：本行情为询价报价行情(美元为ODM), 实时更新**

接口示例

```python
import akshare as ak

fx_pair_quote_df = ak.fx_pair_quote()
print(fx_pair_quote_df)
```

数据示例

```
        货币对        买报价        卖报价
0   AUD/USD    0.69594    0.69600
1   EUR/JPY  143.80300  143.81500
2   EUR/USD    1.05929    1.05935
3   GBP/USD    1.22733    1.22739
4   USD/CAD    1.28238    1.28247
5   USD/CHF    0.95410    0.95417
6   USD/HKD    7.84744    7.84755
7   USD/JPY  135.75500  135.76000
8   USD/SGD    1.38510    1.38518
9   NZD/USD    0.63003    0.63012
10  EUR/GBP    0.86308    0.86308
```

### 指定币种的所有货币对

接口: currency_pair_map

目标地址: https://cn.investing.com/currencies/cny-jmd

描述: 获取指定币种的所有能够获取到的货币对信息，历史数据可以调用 **currency_history** 获取

限量: 单次返回指定币种的所有能获取数据的货币对

输入参数

| 名称     | 类型  | 描述                                                                                       |
|--------|-----|------------------------------------------------------------------------------------------|
| symbol | str | symbol="人民币"; 此处提供中文的币种名称, 可以访问[网页](https://cn.investing.com/currencies/cny-jmd) 的页面下方查看 |

输出参数

| 名称   | 类型    | 描述      |
|------|-------|---------|
| name | str   | 货币对中文简称 |
| code | float | 货币对代码   |

接口示例

```python
import akshare as ak

currency_pair_map_df = ak.currency_pair_map(symbol="人民币")
print(currency_pair_map_df)
```

数据示例

```
          name     code
0     人民币-丹麦克朗  cny-dkk
1     丹麦克朗-人民币  dkk-cny
2     人民币-瑞士法郎  cny-chf
3     瑞士法郎-人民币  chf-cny
4     人民币-捷克克朗  cny-czk
..         ...      ...
85   人民币-澳大利亚元  cny-aud
86   澳大利亚元-人民币  aud-cny
87    人民币-新西兰元  cny-nzd
88    新西兰元-人民币  nzd-cny
89  人民币-巴拿马巴波亚  cny-pab
```

### 外币对历史数据

接口: currency_hist

目标地址: https://cn.investing.com/currencies/

描述: 指定外币对指定时间的历史数据, 此接口需要使用代理访问

限量: 单次返回指定时间的所有历史数据; 该接口暂时不能使用

输入参数

| 名称         | 类型  | 描述                                                                                                              |
|------------|-----|-----------------------------------------------------------------------------------------------------------------|
| symbol     | str | symbol="usd-jpy"; 可以通过 **ak.currency_name_code()** 查询该两种货币可以获取的所有货币对或通过 **ak.currency_pair_map()** 获取指定币种的所有货币对 |
| period     | str | period="每日"; choice of {"每日", "每周", "每月"}                                                                       |
| start_date | str | start_date="20050101"                                                                                           |
| end_date   | str | end_date="20200117"                                                                                             |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 日期  | object  | -       |
| 收盘  | float64 | -       |
| 开盘  | float64 | -       |
| 高   | float64 | -       |
| 低   | float64 | -       |
| 涨跌幅 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

currency_hist_df = ak.currency_hist(symbol="usd-jpy", period="每日", start_date="20050101", end_date="20220808")
print(currency_hist_df)
```

数据示例

```
       日期          收盘          开盘  ...        低     交易量       涨跌幅
0     2005-09-07  110.050003  109.580002  ...  109.379997       0  0.355644
1     2005-09-08  110.519997  110.019997  ...  109.940002       0  0.427073
2     2005-09-09  109.699997  110.510002  ...  109.440002       0 -0.741947
3     2005-09-12  110.379997  109.169998  ...  109.120003       0  0.619873
4     2005-09-13  110.720001  110.339996  ...  110.099998       0  0.308030
          ...         ...         ...  ...         ...     ...       ...
4410  2022-08-03  133.860001  133.169998  ...  132.279999  175487  0.525681
4411  2022-08-04  132.850006  133.854996  ...  132.759995  168762 -0.754516
4412  2022-08-05  134.970001  132.865005  ...  132.514999  173814  1.595781
4413  2022-08-07  135.065002  135.014999  ...  134.955002   13195  0.070387
4414  2022-08-08  134.785004  135.074997  ...  134.604996  103659 -0.207307
```

### 货币对-投机情绪报告

接口: macro_fx_sentiment

目标地址: https://datacenter.jin10.com/reportType/dc_ssi_trends

描述: 货币对-投机情绪报告

限量: 单次返回指定日期所有品种的数据(所指定的日期必须在当前交易日之前的30个交易日内)

输入参数

| 名称         | 类型  | 描述                                                |
|------------|-----|---------------------------------------------------|
| start_date | str | start_date="2020-04-07"; 所指定的日期必须在当前交易日之前的30个交易日内 |
| end_date   | str | end_date="2020-04-07"; 与 start_date 一致            |

输出参数

| 名称     | 类型      | 描述     |
|--------|---------|--------|
| date   | object  | 间隔10分钟 |
| AUDJPY | float64 | -      |
| AUDUSD | float64 | -      |
| EURAUD | float64 | -      |
| EURJPY | float64 | -      |
| EURUSD | float64 | -      |
| GBPJPY | float64 | -      |
| GBPUSD | float64 | -      |
| NZDUSD | float64 | -      |
| USDCAD | float64 | -      |
| USDCHF | float64 | -      |
| USDJPY | float64 | -      |
| USDX   | float64 | -      |
| XAUUSD | float64 | -      |

接口示例

```python
import akshare as ak
from datetime import datetime

test_date = datetime.now().date().isoformat().replace("-", "")
macro_fx_sentiment_df = ak.macro_fx_sentiment(start_date=test_date, end_date=test_date)
print(macro_fx_sentiment_df)
```

数据示例

```
                 date  AUDJPY  AUDUSD  EURAUD  ...  USDCHF  USDJPY   USDX  XAUUSD
0    2022-10-11 00:00   52.45   72.53   44.73  ...   39.59   33.90  37.00   72.38
1    2022-10-11 00:10   52.46   72.47   44.85  ...   39.10   33.78  36.49   72.43
2    2022-10-11 00:20   52.48   72.23   45.37  ...   39.10   33.88  36.48   72.75
3    2022-10-11 00:30   52.38   72.34   44.71  ...   38.90   33.73  36.34   72.83
4    2022-10-11 00:40   52.31   72.48   44.44  ...   38.80   33.61  36.23   72.82
..                ...     ...     ...     ...  ...     ...     ...    ...     ...
962  2022-10-17 19:30   54.86   68.14   36.53  ...   42.80   30.48  39.77   60.45
963  2022-10-17 19:40   54.43   67.81   37.01  ...   43.54   30.83  39.82   60.73
964  2022-10-17 19:50   54.39   68.46   36.92  ...   43.38   30.75  39.72   60.77
965  2022-10-17 20:00   54.10   68.05   38.01  ...   44.05   30.88  39.49   61.36
966  2022-10-17 20:10   55.51   67.39   36.80  ...   42.82   30.95  39.78   59.70
```

### 外汇行情报价

接口: fx_quote_baidu

目标地址: https://gushitong.baidu.com/top/foreign-common-%E5%B8%B8%E7%94%A8

描述: 百度股市通-外汇-行情榜单

限量: 单次返回指定 symbol 当前时点的行情报价

输入参数

| 名称     | 类型  | 描述                                   |
|--------|-----|--------------------------------------|
| symbol | str | symbol="人民币"; choice of {"人民币", 美元"} |

输出参数

| 名称  | 类型      | 描述  |
|-----|---------|-----|
| 代码  | object  | -   |
| 名称  | object  | -   |
| 最新价 | float64 | -   |
| 涨跌额 | float64 | -   |
| 涨跌幅 | float64 | -   |

接口示例

```python
import akshare as ak

fx_quote_baidu_df = ak.fx_quote_baidu(symbol="人民币")
print(fx_quote_baidu_df)
```

数据示例

```
        代码          名称        最新价      涨跌额     涨跌幅
0   CNYGHS     人民币加纳塞地     1.6320   0.1093  0.0718
1   CNYLAK     人民币老挝基普  2408.7375 -21.0646  0.0277
2   CNYCLP     人民币智利比索   133.5492   3.0610  0.0235
3   CNYNGN   人民币尼日利亚奈拉    61.1721   0.6547  0.0108
4   CNYVND      人民币越南盾  3379.3923 -19.8366  0.0069
..     ...         ...        ...      ...     ...
65  CNYAUD       人民币澳元     0.2221  -0.0019 -0.0084
66  CNYCRC  人民币哥斯达黎加科朗    85.5657  -0.7344 -0.0085
67  CNYRUB    人民币俄罗斯卢布     8.7054  -0.0906 -0.0103
68  CNYZAR     人民币南非兰特     2.5156  -0.0299 -0.0117
69  CNYNZD     人民币新西兰元     0.2478  -0.0031 -0.0125
```
