## [AKShare](https://github.com/akfamily/akshare) 利率数据

### 主要央行利率

#### 美联储利率决议报告

接口: macro_bank_usa_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_usa_interest_rate_decision

描述: 美联储利率决议报告, 数据区间从 19820927-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_usa_interest_rate_df = ak.macro_bank_usa_interest_rate()
print(macro_bank_usa_interest_rate_df)
```

数据示例

```
          商品          日期     今值   预测值     前值
0    美联储利率决议  1982-09-28  10.25   NaN    NaN
1    美联储利率决议  1982-10-02  10.00   NaN  10.25
2    美联储利率决议  1982-10-08   9.50   NaN  10.00
3    美联储利率决议  1982-11-20   9.00   NaN   9.50
4    美联储利率决议  1982-12-15   8.50   NaN   9.00
..       ...         ...    ...   ...    ...
262  美联储利率决议  2021-12-16   0.25  0.25   0.25
263  美联储利率决议  2022-01-27   0.25  0.25   0.25
264  美联储利率决议  2022-03-17   0.50  0.50   0.25
265  美联储利率决议  2022-05-05   1.00  1.00   0.50
266  美联储利率决议  2022-06-16    NaN   NaN    NaN
```

#### 欧洲央行决议报告

接口: macro_bank_euro_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_interest_rate_decision

描述: 欧洲央行决议报告, 数据区间从 19990101-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_euro_interest_rate_df = ak.macro_bank_euro_interest_rate()
print(macro_bank_euro_interest_rate_df)
```

数据示例

```
          商品          日期   今值  预测值   前值
0    欧元区利率决议  1999-01-01  3.0  NaN  NaN
1    欧元区利率决议  1999-02-01  3.0  NaN  3.0
2    欧元区利率决议  1999-03-01  3.0  NaN  3.0
3    欧元区利率决议  1999-04-01  3.0  NaN  3.0
4    欧元区利率决议  1999-05-01  2.5  NaN  3.0
..       ...         ...  ...  ...  ...
248  欧元区利率决议  2021-12-16  0.0  NaN  0.0
249  欧元区利率决议  2022-02-03  0.0  0.0  0.0
250  欧元区利率决议  2022-03-10  0.0  0.0  0.0
251  欧元区利率决议  2022-04-14  0.0  0.0  0.0
252  欧元区利率决议  2022-06-09  NaN  NaN  NaN
```

#### 新西兰联储决议报告

接口: macro_bank_newzealand_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_newzealand_interest_rate_decision

描述: 新西兰联储决议报告, 数据区间从 19990401-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_newzealand_interest_rate_df = ak.macro_bank_newzealand_interest_rate()
print(macro_bank_newzealand_interest_rate_df)
```

数据示例

```
            商品          日期    今值   预测值    前值
0    新西兰利率决议报告  1999-04-01  4.50   NaN   NaN
1    新西兰利率决议报告  1999-05-01  4.50   NaN  4.50
2    新西兰利率决议报告  1999-06-01  4.50   NaN  4.50
3    新西兰利率决议报告  1999-07-01  4.50   NaN  4.50
4    新西兰利率决议报告  1999-08-01  4.50   NaN  4.50
..         ...         ...   ...   ...   ...
212  新西兰利率决议报告  2021-10-06  0.50  0.50  0.25
213  新西兰利率决议报告  2021-11-24  0.75  0.75  0.50
214  新西兰利率决议报告  2022-02-23  1.00  1.00  0.75
215  新西兰利率决议报告  2022-04-13  1.50  1.25  1.00
216  新西兰利率决议报告  2022-05-25  2.00  2.00  1.50
```

#### 中国人民银行利率报告

接口: macro_bank_china_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_china_interest_rate_decision

描述: 中国人民银行利率报告, 数据区间从 19910501-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_china_interest_rate_df = ak.macro_bank_china_interest_rate()
print(macro_bank_china_interest_rate_df)
```

数据示例

```
             商品          日期    今值  预测值    前值
0    中国人民银行利率报告  1991-05-01  8.64  NaN   NaN
1    中国人民银行利率报告  1991-06-01  8.64  NaN  8.64
2    中国人民银行利率报告  1991-07-01  8.64  NaN  8.64
3    中国人民银行利率报告  1991-08-01  8.64  NaN  8.64
4    中国人民银行利率报告  1991-09-01  8.64  NaN  8.64
..          ...         ...   ...  ...   ...
213  中国人民银行利率报告  2015-08-25  4.60  NaN  4.85
214  中国人民银行利率报告  2015-10-23  4.35  NaN  4.60
215  中国人民银行利率报告  2019-09-20  4.20  NaN  4.25
216  中国人民银行利率报告  2019-10-21  4.20  NaN  4.20
217  中国人民银行利率报告  2019-11-20  4.15  4.2  4.20
```

#### 瑞士央行利率决议报告

接口: macro_bank_switzerland_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_switzerland_interest_rate_decision

描述: 瑞士央行利率决议报告, 数据区间从20080313-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_switzerland_interest_rate_df = ak.macro_bank_switzerland_interest_rate()
print(macro_bank_switzerland_interest_rate_df)
```

数据示例

```
            商品          日期    今值   预测值    前值
0   瑞士央行利率决议报告  2008-03-13  2.75  2.75  2.75
1   瑞士央行利率决议报告  2008-06-19  2.75  2.75  2.75
2   瑞士央行利率决议报告  2008-09-18  2.75  2.75  2.75
3   瑞士央行利率决议报告  2008-10-08  2.50   NaN  2.75
4   瑞士央行利率决议报告  2008-12-11  0.50  0.50  1.00
..         ...         ...   ...   ...   ...
56  瑞士央行利率决议报告  2021-03-25 -0.75   NaN -0.75
57  瑞士央行利率决议报告  2021-06-17 -0.75   NaN -0.75
58  瑞士央行利率决议报告  2021-09-23 -0.75 -0.75 -0.75
59  瑞士央行利率决议报告  2021-12-16 -0.75 -0.75 -0.75
60  瑞士央行利率决议报告  2022-03-24 -0.75 -0.75 -0.75
```

#### 英国央行决议报告

接口: macro_bank_english_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_english_interest_rate_decision

描述: 英国央行决议报告, 数据区间从 19700101-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_english_interest_rate_df = ak.macro_bank_english_interest_rate()
print(macro_bank_english_interest_rate_df)
```

数据示例

```
           商品          日期    今值   预测值    前值
0    英国利率决议报告  1970-01-01  8.00   NaN   NaN
1    英国利率决议报告  1970-02-01  8.00   NaN  8.00
2    英国利率决议报告  1970-03-01  8.00   NaN  8.00
3    英国利率决议报告  1970-04-01  7.50   NaN  8.00
4    英国利率决议报告  1970-05-01  7.00   NaN  7.50
..        ...         ...   ...   ...   ...
605  英国利率决议报告  2021-11-04  0.10  0.10  0.10
606  英国利率决议报告  2021-12-16  0.25  0.10  0.10
607  英国利率决议报告  2022-02-03  0.50  0.50  0.25
608  英国利率决议报告  2022-03-17  0.75  0.75  0.50
609  英国利率决议报告  2022-05-05  1.00  1.00  0.75
```

#### 澳洲联储决议报告

接口: macro_bank_australia_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_australia_interest_rate_decision

描述: 澳洲联储决议报告, 数据区间从 19800201-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_australia_interest_rate_df = ak.macro_bank_australia_interest_rate()
print(macro_bank_australia_interest_rate_df)
```

数据示例

```
             商品          日期     今值   预测值    前值
0    澳大利亚利率决议报告  1980-02-01   7.92   NaN   NaN
1    澳大利亚利率决议报告  1980-03-01   8.20   NaN  7.92
2    澳大利亚利率决议报告  1980-04-01   9.25   NaN  8.20
3    澳大利亚利率决议报告  1980-05-01   8.98   NaN  9.25
4    澳大利亚利率决议报告  1980-06-01  10.74   NaN  8.98
..          ...         ...    ...   ...   ...
492  澳大利亚利率决议报告  2022-02-01   0.10  0.10  0.10
493  澳大利亚利率决议报告  2022-03-01   0.10  0.10  0.10
494  澳大利亚利率决议报告  2022-04-05   0.10  0.10  0.10
495  澳大利亚利率决议报告  2022-05-03   0.35  0.25  0.10
496  澳大利亚利率决议报告  2022-06-07    NaN   NaN  0.35
```

#### 日本利率决议报告

接口: macro_bank_japan_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_japan_interest_rate_decision

描述: 日本利率决议报告, 数据区间从 20080214-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_japan_interest_rate_df = ak.macro_bank_japan_interest_rate()
print(macro_bank_japan_interest_rate_df)
```

数据示例

```
           商品          日期   今值  预测值   前值
0    日本利率决议报告  2008-02-14  0.5  0.5  0.5
1    日本利率决议报告  2008-03-07  0.5  0.5  0.5
2    日本利率决议报告  2008-04-09  0.5  0.5  0.5
3    日本利率决议报告  2008-04-30  0.5  0.5  0.5
4    日本利率决议报告  2008-06-13  0.5  0.5  0.5
..        ...         ...  ...  ...  ...
166  日本利率决议报告  2021-12-18  NaN -0.1 -0.1
167  日本利率决议报告  2022-01-18 -0.1 -0.1 -0.1
168  日本利率决议报告  2022-03-18 -0.1 -0.1 -0.1
169  日本利率决议报告  2022-04-28 -0.1 -0.1 -0.1
170  日本利率决议报告  2022-04-29  NaN -0.1 -0.1
```

#### 俄罗斯利率决议报告

接口: macro_bank_russia_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_russia_interest_rate_decision

描述: 俄罗斯利率决议报告, 数据区间从 20030601-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_russia_interest_rate_df = ak.macro_bank_russia_interest_rate()
print(macro_bank_russia_interest_rate_df)
```

数据示例

```
            商品          日期    今值   预测值    前值
0    俄罗斯利率决议报告  2003-06-01   6.5   NaN   NaN
1    俄罗斯利率决议报告  2003-07-01   6.5   NaN   6.5
2    俄罗斯利率决议报告  2003-08-01   6.5   NaN   6.5
3    俄罗斯利率决议报告  2003-09-01   6.5   NaN   6.5
4    俄罗斯利率决议报告  2003-10-01   6.5   NaN   6.5
..         ...         ...   ...   ...   ...
193  俄罗斯利率决议报告  2022-02-28  20.0   NaN   9.5
194  俄罗斯利率决议报告  2022-03-18  20.0  20.0  20.0
195  俄罗斯利率决议报告  2022-04-08  17.0  20.0  20.0
196  俄罗斯利率决议报告  2022-04-29  14.0  15.0  17.0
197  俄罗斯利率决议报告  2022-06-10   NaN  15.0  14.0
```

#### 印度利率决议报告

接口: macro_bank_india_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_india_interest_rate_decision

描述: 印度利率决议报告, 数据区间从 20000801-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_india_interest_rate_df = ak.macro_bank_india_interest_rate()
print(macro_bank_india_interest_rate_df)
```

数据示例

```
           商品          日期     今值   预测值     前值
0    印度利率决议报告  2000-08-01   7.38   NaN    NaN
1    印度利率决议报告  2000-09-01  13.35   NaN   7.38
2    印度利率决议报告  2000-10-01  10.52   NaN  13.35
3    印度利率决议报告  2000-11-01   8.61   NaN  10.52
4    印度利率决议报告  2000-12-01   8.00   NaN   8.61
..        ...         ...    ...   ...    ...
206  印度利率决议报告  2022-02-09    NaN  4.00   4.00
207  印度利率决议报告  2022-02-10   4.00  4.00   4.00
208  印度利率决议报告  2022-04-08   4.00  4.00   4.00
209  印度利率决议报告  2022-05-04   4.40  4.00   4.40
210  印度利率决议报告  2022-06-08    NaN  4.75   4.40
```

#### 巴西利率决议报告

接口: macro_bank_brazil_interest_rate

目标地址: https://datacenter.jin10.com/reportType/dc_brazil_interest_rate_decision

描述: 巴西利率决议报告, 数据区间从20080201-至今

限量: 单次返回所有历史数据

输入参数

| 名称  | 类型  | 描述  |
|-----|-----|-----|
| -   | -   | -   |

输出参数

| 名称  | 类型      | 描述      |
|-----|---------|---------|
| 商品  | object  | -       |
| 日期  | object  | -       |
| 今值  | float64 | 注意单位: % |
| 预测值 | float64 | 注意单位: % |
| 前值  | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

macro_bank_brazil_interest_rate_df = ak.macro_bank_brazil_interest_rate()
print(macro_bank_brazil_interest_rate_df)
```

数据示例

```
           商品          日期     今值    预测值     前值
0    巴西利率决议报告  2008-02-01  11.25    NaN    NaN
1    巴西利率决议报告  2008-04-01  11.25    NaN  11.25
2    巴西利率决议报告  2008-05-01  11.75    NaN  11.25
3    巴西利率决议报告  2008-07-01  12.25    NaN  11.75
4    巴西利率决议报告  2008-08-01  13.00    NaN  12.25
..        ...         ...    ...    ...    ...
112  巴西利率决议报告  2021-12-09   9.25   9.25   7.75
113  巴西利率决议报告  2022-02-03  10.75  10.75   9.25
114  巴西利率决议报告  2022-03-17  11.75  11.75  10.75
115  巴西利率决议报告  2022-05-05  12.75  12.75  11.75
116  巴西利率决议报告  2022-05-06    NaN  12.75  11.75
```

### 银行间拆借利率

接口: rate_interbank

目标地址: http://data.eastmoney.com/shibor/shibor.aspx?m=sg&t=88&d=99333&cu=sgd&type=009065&p=79

描述: 东方财富-拆借利率一览-具体市场的具体品种的具体指标的拆借利率数据

限量: 返回所有历史数据

输入参数

| 名称        | 类型  | 描述                                                                                                                                 |
|-----------|-----|------------------------------------------------------------------------------------------------------------------------------------|
| market    | str | market="上海银行同业拆借市场"; 参见 **市场-品种-指标一览表**                                                                                            |
| symbol    | str | symbol="Shibor人民币"; 参见 **市场-品种-指标一览表**                                                                                             |
| indicator | str | indicator="隔夜"; 参见 **市场-品种-指标一览表**                                                                                                 |

市场-品种-指标一览表

| market      | symbol    | indicator |
|-------------|-----------|-----------|
| 上海银行同业拆借市场  | Shibor人民币 | 隔夜        |
| 上海银行同业拆借市场  | Shibor人民币 | 1周        |
| 上海银行同业拆借市场  | Shibor人民币 | 2周        |
| 上海银行同业拆借市场  | Shibor人民币 | 1月        |
| 上海银行同业拆借市场  | Shibor人民币 | 3月        |
| 上海银行同业拆借市场  | Shibor人民币 | 6月        |
| 上海银行同业拆借市场  | Shibor人民币 | 9月        |
| 上海银行同业拆借市场  | Shibor人民币 | 1年        |
| 中国银行同业拆借市场  | Chibor人民币 | 隔夜        |
| 中国银行同业拆借市场  | Chibor人民币 | 1周        |
| 中国银行同业拆借市场  | Chibor人民币 | 2周        |
| 中国银行同业拆借市场  | Chibor人民币 | 3周        |
| 中国银行同业拆借市场  | Chibor人民币 | 1月        |
| 中国银行同业拆借市场  | Chibor人民币 | 2月        |
| 中国银行同业拆借市场  | Chibor人民币 | 3月        |
| 中国银行同业拆借市场  | Chibor人民币 | 4月        |
| 中国银行同业拆借市场  | Chibor人民币 | 6月        |
| 中国银行同业拆借市场  | Chibor人民币 | 9月        |
| 中国银行同业拆借市场  | Chibor人民币 | 1年        |
| 伦敦银行同业拆借市场  | Libor英镑   | 隔夜        |
| 伦敦银行同业拆借市场  | Libor英镑   | 1周        |
| 伦敦银行同业拆借市场  | Libor英镑   | 1月        |
| 伦敦银行同业拆借市场  | Libor英镑   | 2月        |
| 伦敦银行同业拆借市场  | Libor英镑   | 3月        |
| 伦敦银行同业拆借市场  | Libor英镑   | 8月        |
| 伦敦银行同业拆借市场  | Libor美元   | 隔夜        |
| 伦敦银行同业拆借市场  | Libor美元   | 1周        |
| 伦敦银行同业拆借市场  | Libor美元   | 1月        |
| 伦敦银行同业拆借市场  | Libor美元   | 2月        |
| 伦敦银行同业拆借市场  | Libor美元   | 3月        |
| 伦敦银行同业拆借市场  | Libor美元   | 8月        |
| 伦敦银行同业拆借市场  | Libor欧元   | 隔夜        |
| 伦敦银行同业拆借市场  | Libor欧元   | 1周        |
| 伦敦银行同业拆借市场  | Libor欧元   | 1月        |
| 伦敦银行同业拆借市场  | Libor欧元   | 2月        |
| 伦敦银行同业拆借市场  | Libor欧元   | 3月        |
| 伦敦银行同业拆借市场  | Libor欧元   | 8月        |
| 伦敦银行同业拆借市场  | Libor日元   | 隔夜        |
| 伦敦银行同业拆借市场  | Libor日元   | 1周        |
| 伦敦银行同业拆借市场  | Libor日元   | 1月        |
| 伦敦银行同业拆借市场  | Libor日元   | 2月        |
| 伦敦银行同业拆借市场  | Libor日元   | 3月        |
| 伦敦银行同业拆借市场  | Libor日元   | 8月        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 1周        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 2周        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 3周        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 1月        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 2月        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 3月        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 4月        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 5月        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 6月        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 7月        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 8月        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 9月        |
| 欧洲银行同业拆借市场  | Euribor欧元 | 10月       |
| 欧洲银行同业拆借市场  | Euribor欧元 | 11月       |
| 欧洲银行同业拆借市场  | Euribor欧元 | 1年        |
| 香港银行同业拆借市场  | Hibor港元   | 隔夜        |
| 香港银行同业拆借市场  | Hibor港元   | 1周        |
| 香港银行同业拆借市场  | Hibor港元   | 2周        |
| 香港银行同业拆借市场  | Hibor港元   | 1月        |
| 香港银行同业拆借市场  | Hibor港元   | 2月        |
| 香港银行同业拆借市场  | Hibor港元   | 3月        |
| 香港银行同业拆借市场  | Hibor港元   | 4月        |
| 香港银行同业拆借市场  | Hibor港元   | 5月        |
| 香港银行同业拆借市场  | Hibor港元   | 6月        |
| 香港银行同业拆借市场  | Hibor港元   | 7月        |
| 香港银行同业拆借市场  | Hibor港元   | 8月        |
| 香港银行同业拆借市场  | Hibor港元   | 9月        |
| 香港银行同业拆借市场  | Hibor港元   | 10月       |
| 香港银行同业拆借市场  | Hibor港元   | 11月       |
| 香港银行同业拆借市场  | Hibor港元   | 1年        |
| 香港银行同业拆借市场  | Hibor美元   | 隔夜        |
| 香港银行同业拆借市场  | Hibor美元   | 1周        |
| 香港银行同业拆借市场  | Hibor美元   | 2周        |
| 香港银行同业拆借市场  | Hibor美元   | 1月        |
| 香港银行同业拆借市场  | Hibor美元   | 2月        |
| 香港银行同业拆借市场  | Hibor美元   | 3月        |
| 香港银行同业拆借市场  | Hibor美元   | 4月        |
| 香港银行同业拆借市场  | Hibor美元   | 5月        |
| 香港银行同业拆借市场  | Hibor美元   | 6月        |
| 香港银行同业拆借市场  | Hibor美元   | 7月        |
| 香港银行同业拆借市场  | Hibor美元   | 8月        |
| 香港银行同业拆借市场  | Hibor美元   | 9月        |
| 香港银行同业拆借市场  | Hibor美元   | 10月       |
| 香港银行同业拆借市场  | Hibor美元   | 11月       |
| 香港银行同业拆借市场  | Hibor美元   | 1年        |
| 香港银行同业拆借市场  | Hibor人民币  | 隔夜        |
| 香港银行同业拆借市场  | Hibor人民币  | 1周        |
| 香港银行同业拆借市场  | Hibor人民币  | 2周        |
| 香港银行同业拆借市场  | Hibor人民币  | 1月        |
| 香港银行同业拆借市场  | Hibor人民币  | 2月        |
| 香港银行同业拆借市场  | Hibor人民币  | 3月        |
| 香港银行同业拆借市场  | Hibor人民币  | 6月        |
| 香港银行同业拆借市场  | Hibor人民币  | 1年        |
| 新加坡银行同业拆借市场 | Sibor星元   | 1月        |
| 新加坡银行同业拆借市场 | Sibor星元   | 2月        |
| 新加坡银行同业拆借市场 | Sibor星元   | 3月        |
| 新加坡银行同业拆借市场 | Sibor星元   | 6月        |
| 新加坡银行同业拆借市场 | Sibor星元   | 9月        |
| 新加坡银行同业拆借市场 | Sibor星元   | 1年        |
| 新加坡银行同业拆借市场 | Sibor美元   | 1月        |
| 新加坡银行同业拆借市场 | Sibor美元   | 2月        |
| 新加坡银行同业拆借市场 | Sibor美元   | 3月        |
| 新加坡银行同业拆借市场 | Sibor美元   | 6月        |
| 新加坡银行同业拆借市场 | Sibor美元   | 9月        |
| 新加坡银行同业拆借市场 | Sibor美元   | 1年        |

输出参数

| 名称  | 类型      | 描述       |
|-----|---------|----------|
| 日期  | object  | -        |
| 利率  | float64 | 注意单位: %  |
| 涨跌  | float64 | 注意单位: BP |

示例代码

```python
import akshare as ak

rate_interbank_df = ak.rate_interbank(market="上海银行同业拆借市场", symbol="Shibor人民币", indicator="3月")
print(rate_interbank_df)
```

数据示例

```
         报告日      利率    涨跌
0     2006-10-08  2.6110  0.00
1     2006-10-09  2.6248  1.38
2     2006-10-10  2.6325  0.77
3     2006-10-11  2.6338  0.13
4     2006-10-12  2.6380  0.42
...          ...     ...   ...
3900  2022-05-18  2.0780 -3.10
3901  2022-05-19  2.0670 -1.10
3902  2022-05-20  2.0500 -1.70
3903  2022-05-23  2.0210 -2.90
3904  2022-05-24  2.0130 -0.80
```

### 回购定盘利率

接口: repo_rate_hist

目标地址: http://www.chinamoney.com.cn/chinese/bkfrr/

描述: 回购定盘利率数据

限量: 单次返回指定日期间(一个月)的所有历史数据

输入参数

| 名称         | 类型  | 描述                                      |
|------------|-----|-----------------------------------------|
| start_date | str | start_date="20200930"; 开始时间与结束时间需要在一个月内 |
| end_date   | str | end_date="20201029"; 开始时间与结束时间需要在一个月内   |

输出参数

| 名称     | 类型      | 描述      |
|--------|---------|---------|
| date   | object  | -       |
| FR001  | float64 | 注意单位: % |
| FR007  | float64 | 注意单位: % |
| FR014  | float64 | 注意单位: % |
| FDR001 | float64 | 注意单位: % |
| FDR007 | float64 | 注意单位: % |
| FDR014 | float64 | 注意单位: % |

接口示例

```python
import akshare as ak

repo_rate_hist_df = ak.repo_rate_hist(start_date="20200930", end_date="20201029")
print(repo_rate_hist_df)
```

数据示例

```
          date   FR001   FR007   FR014  FDR001  FDR007  FDR014
0   2020-10-29  2.1500  3.1500  2.9500  2.1200  2.4900  2.9000
1   2020-10-28  2.4800  3.0000  3.0000  2.4000  2.5000  2.9000
2   2020-10-27  2.4200  3.0000  2.9000  2.3900  2.4300  2.9000
3   2020-10-26  2.2000  2.5000  2.7500  2.1800  2.2100  2.6600
4   2020-10-23  2.1900  2.2000  2.8000  2.1600  2.2000  2.6500
5   2020-10-22  1.9500  2.3000  2.8000  1.9100  2.1700  2.5200
6   2020-10-21  2.0000  2.3500  2.8000  1.9800  2.2000  2.4700
7   2020-10-20  2.2000  2.4000  2.8000  2.1600  2.3000  2.3500
8   2020-10-19  2.2200  2.3000  2.4000  2.1900  2.2300  2.2100
9   2020-10-16  2.0500  2.2500  2.3000  2.0200  2.2000  2.1600
10  2020-10-15  2.1000  2.3000  2.2000  2.0659  2.1900  2.1800
11  2020-10-14  2.0200  2.2000  2.1200  1.9700  2.1200  2.0700
12  2020-10-13  1.7300  2.1500  2.0500  1.7000  2.0700  1.9500
13  2020-10-12  1.5500  2.1408  2.0000  1.5200  1.9500  1.9400
14  2020-10-10  1.6300  2.0000  2.0000  1.6300  1.9900  1.9300
15  2020-10-09  2.0407  2.2300  2.4400  2.0400  2.1600  2.3800
16  2020-09-30  2.7000  2.5000  3.0900  2.4200  2.4300  3.0100
```
